Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class DefinitionParserHelper

    java.lang.Object
      org.codehaus.aspectwerkz.definition.DefinitionParserHelper

    public class DefinitionParserHelper

extends Object

Helper class for the attribute and the XML definition parsers.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`static String` | `EXPRESSION_PREFIX`

Constructor Summary
`DefinitionParserHelper()`

Method Summary
`static void` | `attachDeploymentScopeDefsToVirtualAdvice(SystemDefinition systemDef)` Attaches all deployment scopes in a system to the virtual advice.
`static AdviceDefinition` | `createAdviceDefinition(String adviceName, AdviceType adviceType, String expression, String specialArgumentType, String aspectName, String aspectClassName, MethodInfo methodInfo, AspectDefinition aspectDef)` Creates a new advice definition.
`static void` | `createAndAddAdvisableDef(String expression, SystemDefinition systemDef)` Creates and adds an advisable definition to virtual aspect definition.
`static void` | `createAndAddDeploymentScopeDef(String name, String expression, SystemDefinition systemDef)` Creates and adds a prepared pointcut definition to virtual aspect definition.
`static void` | `createAndAddInterfaceIntroductionDefToAspectDef(String expression, String introductionName, String interfaceClassName, AspectDefinition aspectDef)` Creates and add interface introduction definition to aspect definition.
`static MixinDefinition` | `createAndAddMixinDefToSystemDef(ClassInfo mixinClassInfo, String expression, DeploymentModel deploymentModel, boolean isTransient, SystemDefinition systemDef)` Creates and add mixin definition to system definition.
`static void` | `createAndAddPointcutDefToAspectDef(String name, String expression, AspectDefinition aspectDef)` Creates and adds pointcut definition to aspect definition.
`static InterfaceIntroductionDefinition` | `createInterfaceIntroductionDefinition(String introductionName, String expression, String interfaceClassName, AspectDefinition aspectDef)` Creates a new interface introduction definition.
`static MixinDefinition` | `createMixinDefinition(ClassInfo mixinClassInfo, String expression, DeploymentModel deploymentModel, boolean isTransient, SystemDefinition systemDef)` Creates an introduction definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPRESSION_PREFIX

    public static final String EXPRESSION_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### DefinitionParserHelper

    public DefinitionParserHelper()

Method Detail

### createAndAddPointcutDefToAspectDef

    public static void createAndAddPointcutDefToAspectDef(String name,
                                                          String expression,
                                                          AspectDefinition aspectDef)

  Creates and adds pointcut definition to aspect definition.

  Parameters:
    `name` -
    `expression` -
    `aspectDef` -

### createAndAddDeploymentScopeDef

    public static void createAndAddDeploymentScopeDef(String name,
                                                      String expression,
                                                      SystemDefinition systemDef)

  Creates and adds a prepared pointcut definition to virtual aspect definition.

  Parameters:
    `name` -
    `expression` -
    `systemDef` -

### createAndAddAdvisableDef

    public static void createAndAddAdvisableDef(String expression,
                                                SystemDefinition systemDef)

  Creates and adds an advisable definition to virtual aspect definition.

  Parameters:
    `expression` -
    `systemDef` -

### attachDeploymentScopeDefsToVirtualAdvice

    public static void attachDeploymentScopeDefsToVirtualAdvice(SystemDefinition systemDef)

  Attaches all deployment scopes in a system to the virtual advice.

  Parameters:
    `systemDef` - the system definition

### createAndAddMixinDefToSystemDef

    public static MixinDefinition createAndAddMixinDefToSystemDef(ClassInfo mixinClassInfo,
                                                                  String expression,
                                                                  DeploymentModel deploymentModel,
                                                                  boolean isTransient,
                                                                  SystemDefinition systemDef)

  Creates and add mixin definition to system definition.

  Parameters:
    `mixinClassInfo` -
    `expression` -
    `deploymentModel` -
    `isTransient` -
    `systemDef` -
  Returns:
    the mixin definition

### createAndAddInterfaceIntroductionDefToAspectDef

    public static void createAndAddInterfaceIntroductionDefToAspectDef(String expression,
                                                                       String introductionName,
                                                                       String interfaceClassName,
                                                                       AspectDefinition aspectDef)

  Creates and add interface introduction definition to aspect definition.

  Parameters:
    `expression` -
    `introductionName` -
    `interfaceClassName` -
    `aspectDef` -

### createAdviceDefinition

    public static AdviceDefinition createAdviceDefinition(String adviceName,
                                                          AdviceType adviceType,
                                                          String expression,
                                                          String specialArgumentType,
                                                          String aspectName,
                                                          String aspectClassName,
                                                          MethodInfo methodInfo,
                                                          AspectDefinition aspectDef)

  Creates a new advice definition.

  Parameters:
    `adviceName` - the advice name
    `adviceType` - the advice type
    `expression` - the advice expression
    `specialArgumentType` - the arg
    `aspectName` - the aspect name
    `aspectClassName` - the aspect class name
    `methodInfo` - the advice methodInfo
    `aspectDef` - the aspect definition
  Returns:
    the new advice definition

### createMixinDefinition

    public static MixinDefinition createMixinDefinition(ClassInfo mixinClassInfo,
                                                        String expression,
                                                        DeploymentModel deploymentModel,
                                                        boolean isTransient,
                                                        SystemDefinition systemDef)

  Creates an introduction definition.

  Parameters:
    `mixinClassInfo` -
    `expression` -
    `deploymentModel` -
    `isTransient` -
    `systemDef` -
  Returns:

### createInterfaceIntroductionDefinition

    public static InterfaceIntroductionDefinition createInterfaceIntroductionDefinition(String introductionName,
                                                                                        String expression,
                                                                                        String interfaceClassName,
                                                                                        AspectDefinition aspectDef)

  Creates a new interface introduction definition.

  Parameters:
    `introductionName` - the introduction name
    `expression` - the pointcut expression
    `interfaceClassName` - the class name of the interface
    `aspectDef` - the aspect definition
  Returns:
    the new introduction definition

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.